//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Customer
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Customer()
        {
            this.Orders = new HashSet<Order>();
            this.CustomerAddresses = new HashSet<CustomerAddress>();
            this.CustomerExternalLogins = new HashSet<CustomerExternalLogin>();
            this.Exchanges = new HashSet<Exchange>();
            this.Refunds = new HashSet<Refund>();
            this.Rmas = new HashSet<Rma>();
            this.Transactions = new HashSet<Transaction>();
            this.WishlistItems = new HashSet<WishlistItem>();
        }
    
        public int CustomerId { get; set; }
        public string FullName { get; set; }
        public string Email { get; set; }
        public string Password { get; set; }
        public int UserType { get; set; }
        public string CUIT { get; set; }
        public string CorporateName { get; set; }
        public string DNI { get; set; }
        public int PriceList { get; set; }
        public string PhoneNumber { get; set; }
        public string Cellphone { get; set; }
        public Nullable<int> ProvinceId { get; set; }
        public string City { get; set; }
        public string Address { get; set; }
        public string AddressNumber { get; set; }
        public string ZipCode { get; set; }
        public string Floor { get; set; }
        public string Department { get; set; }
        public bool IsFacebookUser { get; set; }
        public bool IsSiteUser { get; set; }
        public bool Enabled { get; set; }
        public decimal Balance { get; set; }
        public decimal BalanceUsd { get; set; }
        public bool Active { get; set; }
        public bool Confirmed { get; set; }
        public Nullable<System.DateTime> ConfirmedDate { get; set; }
        public string ConfirmedBy { get; set; }
        public string ShipmentCompany { get; set; }
        public string ShipmentCompanyTel { get; set; }
        public string ShipmentCompanyAddress { get; set; }
        public Nullable<System.Guid> ResetPassword { get; set; }
        public bool ShowTopBanner { get; set; }
        public Nullable<int> SalerId { get; set; }
        public string CreatedBy { get; set; }
        public System.DateTime Created { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public string DeletedBy { get; set; }
        public Nullable<int> IvaConditionId { get; set; }
        public string BillingAddress { get; set; }
        public string BillingForm { get; set; }
        public Nullable<int> FirstOrderDiscountPeriodDays { get; set; }
        public Nullable<bool> HasStore { get; set; }
        public string WorkingBrands { get; set; }
        public Nullable<System.DateTime> CartPushDate { get; set; }
        public Nullable<int> SellingLocationId { get; set; }
        public Nullable<System.DateTime> ContactDate { get; set; }
        public string Observations { get; set; }
        public Nullable<System.DateTime> ContactAnswerDate { get; set; }
        public string CustomerAnswer { get; set; }
        public bool Rejected { get; set; }
        public string RejectMessage { get; set; }
        public Nullable<int> CityId { get; set; }
        public string Username { get; set; }
        public string Name { get; set; }
        public string Surname { get; set; }
    
        public virtual City City1 { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Order> Orders { get; set; }
        public virtual Province Province { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<CustomerAddress> CustomerAddresses { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<CustomerExternalLogin> CustomerExternalLogins { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Exchange> Exchanges { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Refund> Refunds { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Rma> Rmas { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Transaction> Transactions { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<WishlistItem> WishlistItems { get; set; }
    }
}
